FromExpression (Groovy 5.1.0)
Description: declaration: package: org.apache.groovy.ginq.dsl.expression, class: FromExpression

Package org.apache.groovy.ginq.dsl.expression

# Class FromExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.DataSourceExpression
org.apache.groovy.ginq.dsl.expression.FromExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

public class FromExpression extends DataSourceExpression
Represents the from expression

Since:
  4.0.0

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.ginq.dsl.expression.DataSourceExpression

  `aliasExpr, dataSourceExpr`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FromExpression(Expression aliasExpr, Expression dataSourceExpr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<R> R`
  `accept(GinqAstVisitor<R> visitor)`
  `DataSourceExpression`
  `getDataSourceExpression()`
  `String`
  `getText()`
  `void`
  `setDataSourceExpression(DataSourceExpression dataSourceExpression)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.DataSourceExpression

  `getAliasExpr, getDataSourceExpr, setDataSourceExpr`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Constructor Details

  - ### FromExpression

    public FromExpression(Expression aliasExpr, Expression dataSourceExpr)

- ## Method Details

  - ### accept

    public <R> R accept(GinqAstVisitor<R> visitor)
    Specified by:
      `accept` in class `AbstractGinqExpression`

  - ### getDataSourceExpression

    public DataSourceExpression getDataSourceExpression()

  - ### setDataSourceExpression

    public void setDataSourceExpression(DataSourceExpression dataSourceExpression)

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`